package uniklu.games.spaceship;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.*;
import java.io.File;
import java.io.IOException;


public class SpriteUtils {
    public static BufferedImage[] createSprites(BufferedImage in, int numImages) {
        BufferedImage[] result = new BufferedImage[numImages];
        int offset = in.getWidth() / numImages;
        for (int i = 0; i< numImages; i++) {
            BufferedImage bi = new BufferedImage(offset, in.getHeight(), 
                    BufferedImage.TYPE_INT_ARGB);
            Graphics graphics = bi.getGraphics();
            graphics.drawImage(in,
                    0, 0, bi.getWidth(), bi.getHeight(), // destintation rectangle
                    i* offset, 0, (i+1)*(offset), bi.getHeight(), // source rectangle
                    null);
            result[i] = bi;
            graphics.dispose();
        }
        return result;
    }
}
